using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml;
using System.Xml.Xsl;

namespace IT_Project_2014
{
    public partial class Register_list : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //Login check
            if (User.Identity.IsAuthenticated == false)
            {
                //Do odkomentowania
                Server.Transfer("Adm_login.aspx");
            }

            //Load fileds content
            //LoadSettings();
            LoadRegisterList();
        }

        public void LoadRegisterList()
        {
            XmlDocument doc = new XmlDocument();
            doc.Load(Server.MapPath("Register_List.xml"));

            XslTransform trans = new XslTransform();
            trans.Load(Server.MapPath("Register_List_Style.xsl"));

            //xml1.Document = doc;
            //xml1.Transform = trans;

            xml1.Document = doc;
            xml1.Transform = trans;
        }
    }
}